import request from '@/utils/request'

// 查询组卷题目列表
export function listSyTestQuestion(query) {
  return request({
    url: '/sy/syTestQuestion/list',
    method: 'get',
    params: query
  })
}

// 查询组卷题目详细
export function getSyTestQuestion(questionId) {
  return request({
    url: '/sy/syTestQuestion/' + questionId,
    method: 'get'
  })
}

// 新增组卷题目
export function addSyTestQuestion(data) {
  return request({
    url: '/sy/syTestQuestion',
    method: 'post',
    data: data
  })
}

// 修改组卷题目
export function updateSyTestQuestion(data) {
  return request({
    url: '/sy/syTestQuestion',
    method: 'put',
    data: data
  })
}

// 删除组卷题目
export function delSyTestQuestion(questionId) {
  return request({
    url: '/sy/syTestQuestion/' + questionId,
    method: 'delete'
  })
}

// 导出组卷题目
export function exportSyTestQuestion(query) {
  return request({
    url: '/sy/syTestQuestion/export',
    method: 'get',
    params: query
  })
}